Bug 250029 - lost ls command in bash
lost ls command in bash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
7
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Milan Broz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 15:54 EDT by Luya Tshimbalanga
Modified: 2013-02-28 23:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 03:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2007-07-29 15:54:42 EDT
Description of problem:
I cannot use ls command  on a current version of bash

Version-Release number of selected component (if applicable):
3.2-9.fc7

How reproducible:
Always

Steps to Reproduce:
1. Enter ls command
2.
3.
  
Actual results:
-bash: ls: command not found


Expected results:
It should display the list of file and directory

Additional info:
Comment 1 Ignacio Vazquez-Abrams 2007-07-29 22:27:35 EDT
What is the current value of $PATH? Are the other commands in the coreutils
package available?
Comment 2 Luya Tshimbalanga 2007-07-30 03:28:12 EDT
# $PATH
-bash: /usr/kerberos/sbin:
/usr/kerberos/bin:
/usr/local/sbin:
/usr/local/bin:
/sbin:
/bin:
/usr/sbin:
/usr/bin:
/root/bin: Aucun fichier ou répertoire de ce type (No such file or directory)
Comment 3 Tim Waugh 2007-07-30 05:16:03 EDT
What changed in between 'ls' working and 'ls' not working?  Did you install
something, upgrade something, etc?

What does 'rpm -q coreutils' say?
Comment 4 Luya Tshimbalanga 2007-07-30 05:24:17 EDT
(In reply to comment #3)
> What changed in between 'ls' working and 'ls' not working?  Did you install
> something, upgrade something, etc?

Not at all. The information I haven't added is the LVM somehow crashed at boot
and automatically use the fsck to recover. Since then, some of essential command
are missing and I just find out vi is missing as well. 


> What does 'rpm -q coreutils' say?



#rpm -q coreutils
coreutils-6.9-3.fc7
Comment 5 Tim Waugh 2007-07-30 05:42:26 EDT
Sounds like an lvm2 recovery problem then.  Reassigning.
Comment 6 Milan Broz 2007-08-03 05:47:01 EDT
Please attach important system information
- exact description what happened ("the LVM somehow crashed" is not enough :)
- which commands you entered befeore crash
- syslog messages

Didn't you changed some block device (i.e. change size of partition without
correctly resizing filesystem ang logical volume first, remove some device
without properly deactivating lvm, etc...) ?
Comment 7 Luya Tshimbalanga 2007-08-03 16:24:04 EDT
- I booted the system normally when the LVM went into recovery mode and it
prompted me to fix using the default setting. After the full recovery, RHGB
booted normally. After logging, I used the terminal for listing files and
directory when I noticed some of bash command like "ls" were no longer there.

- No commands before the crash, I shut down the system and restarted.
- Unfortunately I have reinstalled Fedora 7 after backup and neglected to save
the syslog messages =(
- I have not modified the LVM. The hard driver that Fedora 7 uses suddenly
stopped . After checking the problem and correct it, I started Fedora 7 when the
recovery occured.
Comment 8 Milan Broz 2007-08-13 03:10:05 EDT
There is not enough information to investigate what happened.
LVM has no recovery mode during boot - it is filesystem check. What caused
corruption on filesystem is not clear here but LVM was activated correctly (if
there is problem, LV is not activated and fsck cannot be run on it).

Closing this bug, if you hit this again, please reopen it and attach requested
information, thanks.

Note You need to log in before you can comment on or make changes to this bug.